// @ts-ignore
import pine from 'pine';

const logger = pine();


class Logger {
    // @ts-ignore
    public info(message : any) {
        logger.info(message);
    }
    // @ts-ignore
    public info(message : any, data : any) {
        logger.info(`${message}   ${undefined != data ? JSON.stringify(data) : ''}`);
    }

    public error(message : any) {
        logger.error(message);
    }
}

module.exports = new Logger();
